# $Revision: 1.10 $, $Date: 2005/04/21 02:58:01 $
Summary:	Little addicting game, take over the gaming area with your color
Summary(pl):	Uzaleniajca gra polegajca na przejciu obszaru gry swoim kolorem
Name:		sevencolors
Version:	0.80
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://digilander.iol.it/sbel/7colors/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
# Source0-md5:	2afdc10008ba214f8832070365410858
URL:		http://digilander.libero.it/sbel/7colors.english.html
BuildRequires:	gnome-libs-devel
Obsoletes:	7colors
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
7colors is a game for X Window System, for one or two players, the
goal is to color the 50% (plus one) of the rhombs on the screen,
before the other player does. Each turn the player choose a color,
this color propagates from the own corner (the lower left for player
1, the upper right for player 2) to all the neighbour rhombs with the
same color.

%description -l pl
7colors to gra dla systemu X Window, dla jednego lub dwch graczy,
ktrej celem jest pokolorowanie 50% (plus jednego) rombw na ekranie
zanim inny gracz zdy to zrobi. W kadej rundzie gracz wybiera
kolor, a ten kolor rozprzestrzenia si od jego rogu (lewego dolnego
dla gracza 1, grnego prawego dla gracza 2) na wszystkie ssiednie
romby tego samego koloru.

%prep
%setup -q

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D src/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} $RPM_BUILD_ROOT/%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT/%{_pixmapsdir}

%files
%defattr(644,root,root,755)
%doc TODO README HISTORY
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sevencolors.spec,v $
Revision 1.10  2005/04/21 02:58:01  ankry
- fixed desktop file, rel. 4

Revision 1.9  2004/11/14 16:18:13  adamg
- added desktop file and icon (from Krystian T <tomczyk(at)op.onet.pl>)
- release 3

Revision 1.8  2004/08/11 19:46:27  havner
- rel 2

Revision 1.7  2004/03/14 11:56:07  adamg
- release 1

Revision 1.6  2004/03/13 12:39:03  adamg
- Obsoletes: 7colors

Revision 1.5  2004/03/13 12:27:45  adamg
- spec renamed

Revision 1.4  2004/03/08 17:37:32  qboosh
- pl, removed redundant BRs

Revision 1.3  2004/03/07 23:27:57  adamg
- switched to tar.gz sources

Revision 1.2  2004/03/07 23:20:07  adamg
- cleanups

Revision 1.1  2004/03/07 23:11:36  adamg
- initial import (very raw, taken from Alt Linux)
- build, works, spec to be cleaned up

* Thu Jan 09 2003 Rider <rider@altlinux.ru> 0.80-alt4
- build requires fix

* Fri Oct 11 2002 Rider <rider@altlinux.ru> 0.80-alt3
- gcc 3.2 rebuild

* Tue Nov 08 2001 Rider <rider@altlinux.ru> 0.80-alt2
- cleanup spec
- bug #000130 fixed (menu)

* Wed Apr 10 2001 Rider <rider@altlinux.ru>
- 0.80

* Tue Dec 12 2000 AEN <aen@logic.ru>
- cleanup spec
- build for RE

* Wed Nov  8 2000 Pixel <pixel@mandrakesoft.com> 0.10-4mdk
- make rpmlint happy

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.10-3mdk
- capitalize menu, longtitle added

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 0.10-2mdk
- add nice icons from author (Stefano Bellotti)

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 0.10-1mdk
- initial spec
